Subject: RCU stall on panda

From: [email-masked] (Santosh Shilimkar)
Date: Fri, 16 May 2014 09:37:51 -0400

On Friday 16 May 2014 03:41 AM, Alex Shi wrote:
> On 05/16/2014 02:36 AM, Santosh Shilimkar wrote:
>>>>>> yes.
>>>>>> My board is panda ES. without this revert, it works.
>>>>
>>>> Care to specify what linux version you are testing against?
>>>>
>>>> Does it hang in idle always immediately on booting?
>>>>
>>>> Or does the serial console first hang with sysrq still
>>>> working (ctrl-a h in minicom for help) with device
>>>> eventually locking up hard?
>>>>
>> I just posted an updated patch Alex on other thread.
>> Attaching here again for your reference. Please try
>> it out and see if the you still get a hang.
> 
> it does not hang this time.
>
This is good news and exactly what I expected.
 
> but I am not sure it can solve my problem, since RCU stall is not easy
> to reproduce in short time.
> 
You may want to run the system longer if you can. I suspect the RCU stall
was also side effect of missing interrupts.

Regards,
Santosh